Skip to content
Start here

List Client Certificates

client.clientCertificates.list(ClientCertificateListParams { zone_id, limit, offset, 3 more } params, RequestOptionsoptions?): V4PagePaginationArray<ClientCertificate { id, certificate, certificate_authority, 15 more } >
GET/zones/{zone_id}/client_certificates

List all of your Zone's API Shield mTLS Client Certificates by Status and/or using Pagination

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
SSL and Certificates WriteSSL and Certificates Read
ParametersExpand Collapse
params: ClientCertificateListParams { zone_id, limit, offset, 3 more }
zone_id: string

Path param: Identifier.

maxLength32
limit?: number

Query param: Limit to the number of records returned.

offset?: number

Query param: Offset the results

page?: number

Query param: Page number of paginated results.

minimum1
per_page?: number

Query param: Number of records per page.

maximum50
minimum5
status?: "all" | "active" | "pending_reactivation" | 2 more

Query param: Client Certitifcate Status to filter results by.

One of the following:
"all"
"active"
"pending_reactivation"
"pending_revocation"
"revoked"
ReturnsExpand Collapse
ClientCertificate { id, certificate, certificate_authority, 15 more }
id?: string

Identifier.

maxLength32
certificate?: string

The Client Certificate PEM

certificate_authority?: CertificateAuthority { id, name }

Certificate Authority used to issue the Client Certificate

id?: string
name?: string
common_name?: string

Common Name of the Client Certificate

country?: string

Country, provided by the CSR

csr?: string

The Certificate Signing Request (CSR). Must be newline-encoded.

expires_on?: string

Date that the Client Certificate expires

fingerprint_sha256?: string

Unique identifier of the Client Certificate

issued_on?: string

Date that the Client Certificate was issued by the Certificate Authority

location?: string

Location, provided by the CSR

organization?: string

Organization, provided by the CSR

organizational_unit?: string

Organizational Unit, provided by the CSR

serial_number?: string

The serial number on the created Client Certificate.

signature?: string

The type of hash used for the Client Certificate..

ski?: string

Subject Key Identifier

state?: string

State, provided by the CSR

status?: Status

Client Certificates may be active or revoked, and the pending_reactivation or pending_revocation represent in-progress asynchronous transitions

One of the following:
"active"
"pending_reactivation"
"pending_revocation"
"revoked"
validity_days?: number

The number of days the Client Certificate will be valid after the issued_on date

List Client Certificates

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const clientCertificate of client.clientCertificates.list({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(clientCertificate.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "certificate": "-----BEGIN CERTIFICATE-----\nMIIDmDCCAoC...dhDDE\n-----END CERTIFICATE-----",
      "certificate_authority": {
        "id": "568b6b74-7b0c-4755-8840-4e3b8c24adeb",
        "name": "Cloudflare Managed CA for account"
      },
      "common_name": "Cloudflare",
      "country": "US",
      "csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIICY....\n-----END CERTIFICATE REQUEST-----",
      "expires_on": "2033-02-20T23:18:00Z",
      "fingerprint_sha256": "256c24690243359fb8cf139a125bd05ebf1d968b71e4caf330718e9f5c8a89ea",
      "issued_on": "2023-02-23T23:18:00Z",
      "location": "Somewhere",
      "organization": "Organization",
      "organizational_unit": "Organizational Unit",
      "serial_number": "3bb94ff144ac567b9f75ad664b6c55f8d5e48182",
      "signature": "SHA256WithRSA",
      "ski": "8e375af1389a069a0f921f8cc8e1eb12d784b949",
      "state": "CA",
      "status": "active",
      "validity_days": 3650
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "certificate": "-----BEGIN CERTIFICATE-----\nMIIDmDCCAoC...dhDDE\n-----END CERTIFICATE-----",
      "certificate_authority": {
        "id": "568b6b74-7b0c-4755-8840-4e3b8c24adeb",
        "name": "Cloudflare Managed CA for account"
      },
      "common_name": "Cloudflare",
      "country": "US",
      "csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIICY....\n-----END CERTIFICATE REQUEST-----",
      "expires_on": "2033-02-20T23:18:00Z",
      "fingerprint_sha256": "256c24690243359fb8cf139a125bd05ebf1d968b71e4caf330718e9f5c8a89ea",
      "issued_on": "2023-02-23T23:18:00Z",
      "location": "Somewhere",
      "organization": "Organization",
      "organizational_unit": "Organizational Unit",
      "serial_number": "3bb94ff144ac567b9f75ad664b6c55f8d5e48182",
      "signature": "SHA256WithRSA",
      "ski": "8e375af1389a069a0f921f8cc8e1eb12d784b949",
      "state": "CA",
      "status": "active",
      "validity_days": 3650
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}